RDKit: RDKit::GeneralizedSubstruct::ExtendedQueryMol Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
RDKit::GeneralizedSubstruct::ExtendedQueryMol Struct Reference

`#include <XQMol.h>`

## Public Types
enum | ExtendedQueryMolTypes : unsigned char { XQM_MOL = 1 , XQM_MOLBUNDLE = 2 , XQM_TAUTOMERQUERY = 3 , XQM_TAUTOMERBUNDLE = 4 }
using | RWMol_T = std::unique_ptr<RWMol>
using | MolBundle_T = std::unique_ptr<MolBundle>
using | TautomerQuery_T = std::unique_ptr<TautomerQuery>
using | TautomerBundle_T
using | ContainedType

## Public Member Functions
| ExtendedQueryMol (std::unique_ptr< RWMol > mol)
| ExtendedQueryMol (std::unique_ptr< MolBundle > bundle)
| ExtendedQueryMol (std::unique_ptr< TautomerQuery > tq)
| ExtendedQueryMol (std::unique_ptr< std::vector< std::unique_ptr< TautomerQuery > > > tqs)
| ExtendedQueryMol (const ExtendedQueryMol &other)
ExtendedQueryMol & | operator= (const ExtendedQueryMol &other)
| ExtendedQueryMol (ExtendedQueryMol &&o) noexcept
| ExtendedQueryMol (const std::string &text, bool isJSON=false)
void | initFromBinary (const std::string &pkl)
void | initFromJSON (const std::string &text)
void | initFromOther (const ExtendedQueryMol &other)
std::string | toBinary () const
std::string | toJSON () const
std::unique_ptr< ExplicitBitVect > | patternFingerprintQuery (unsigned int fpSize=2048U) const

## Public Attributes
ContainedType | xqmol

## Detailed Description

Definition at line 31 of file XQMol.h.

## Member Typedef Documentation

## ◆ ContainedType

using RDKit::GeneralizedSubstruct::ExtendedQueryMol::ContainedType

Initial value:
std::variant<RWMol_T, MolBundle_T, TautomerQuery_T, TautomerBundle_T>

Definition at line 43 of file XQMol.h.

## ◆ MolBundle_T

using RDKit::GeneralizedSubstruct::ExtendedQueryMol::MolBundle_T = std::unique_ptr<MolBundle>

Definition at line 39 of file XQMol.h.

## ◆ RWMol_T

using RDKit::GeneralizedSubstruct::ExtendedQueryMol::RWMol_T = std::unique_ptr<RWMol>

Definition at line 38 of file XQMol.h.

## ◆ TautomerBundle_T

using RDKit::GeneralizedSubstruct::ExtendedQueryMol::TautomerBundle_T

Initial value:
std::unique_ptr<std::vector<std::unique_ptr<TautomerQuery>>>

Definition at line 41 of file XQMol.h.

## ◆ TautomerQuery_T

using RDKit::GeneralizedSubstruct::ExtendedQueryMol::TautomerQuery_T = std::unique_ptr<TautomerQuery>

Definition at line 40 of file XQMol.h.

## Member Enumeration Documentation

## ◆ ExtendedQueryMolTypes

enum RDKit::GeneralizedSubstruct::ExtendedQueryMol::ExtendedQueryMolTypes : unsigned char

Enumerator
XQM_MOL |
XQM_MOLBUNDLE |
XQM_TAUTOMERQUERY |
XQM_TAUTOMERBUNDLE |

Definition at line 32 of file XQMol.h.

## Constructor & Destructor Documentation

## ◆ ExtendedQueryMol() [1/7]

RDKit::GeneralizedSubstruct::ExtendedQueryMol::ExtendedQueryMol | ( | std::unique_ptr< RWMol > | mol | ) |
| inline

Definition at line 45 of file XQMol.h.

References xqmol.

Referenced by ExtendedQueryMol(), ExtendedQueryMol(), initFromOther(), and operator=().

## ◆ ExtendedQueryMol() [2/7]

RDKit::GeneralizedSubstruct::ExtendedQueryMol::ExtendedQueryMol | ( | std::unique_ptr< MolBundle > | bundle | ) |
| inline

Definition at line 46 of file XQMol.h.

References xqmol.

## ◆ ExtendedQueryMol() [3/7]

RDKit::GeneralizedSubstruct::ExtendedQueryMol::ExtendedQueryMol | ( | std::unique_ptr< TautomerQuery > | tq | ) |
| inline

Definition at line 48 of file XQMol.h.

References xqmol.

## ◆ ExtendedQueryMol() [4/7]

RDKit::GeneralizedSubstruct::ExtendedQueryMol::ExtendedQueryMol | ( | std::unique_ptr< std::vector< std::unique_ptr< TautomerQuery > > > | tqs | ) |
| inline

Definition at line 49 of file XQMol.h.

References xqmol.

## ◆ ExtendedQueryMol() [5/7]

RDKit::GeneralizedSubstruct::ExtendedQueryMol::ExtendedQueryMol | ( | const ExtendedQueryMol & | other | ) |
| inline

Definition at line 52 of file XQMol.h.

References ExtendedQueryMol(), and initFromOther().

## ◆ ExtendedQueryMol() [6/7]

RDKit::GeneralizedSubstruct::ExtendedQueryMol::ExtendedQueryMol | ( | ExtendedQueryMol && | o | ) |
| inlinenoexcept

Definition at line 61 of file XQMol.h.

References ExtendedQueryMol(), and xqmol.

## ◆ ExtendedQueryMol() [7/7]

RDKit::GeneralizedSubstruct::ExtendedQueryMol::ExtendedQueryMol | ( | const std::string & | text,
|  | bool | isJSON = false )

## Member Function Documentation

## ◆ initFromBinary()

void RDKit::GeneralizedSubstruct::ExtendedQueryMol::initFromBinary | ( | const std::string & | pkl | ) |

## ◆ initFromJSON()

void RDKit::GeneralizedSubstruct::ExtendedQueryMol::initFromJSON | ( | const std::string & | text | ) |

## ◆ initFromOther()

void RDKit::GeneralizedSubstruct::ExtendedQueryMol::initFromOther | ( | const ExtendedQueryMol & | other | ) |

References ExtendedQueryMol().

Referenced by ExtendedQueryMol(), and operator=().

## ◆ operator=()

ExtendedQueryMol & RDKit::GeneralizedSubstruct::ExtendedQueryMol::operator= | ( | const ExtendedQueryMol & | other | ) |
| inline

Definition at line 53 of file XQMol.h.

References ExtendedQueryMol(), and initFromOther().

## ◆ patternFingerprintQuery()

std::unique_ptr< ExplicitBitVect > RDKit::GeneralizedSubstruct::ExtendedQueryMol::patternFingerprintQuery | ( | unsigned int | fpSize = 2048U | ) | const

## ◆ toBinary()

std::string RDKit::GeneralizedSubstruct::ExtendedQueryMol::toBinary | ( |  | ) | const

## ◆ toJSON()

std::string RDKit::GeneralizedSubstruct::ExtendedQueryMol::toJSON | ( |  | ) | const

## Member Data Documentation

## ◆ xqmol

ContainedType RDKit::GeneralizedSubstruct::ExtendedQueryMol::xqmol

Definition at line 68 of file XQMol.h.

Referenced by ExtendedQueryMol(), ExtendedQueryMol(), ExtendedQueryMol(), ExtendedQueryMol(), and ExtendedQueryMol().

The documentation for this struct was generated from the following file:

- XQMol.h